Bug 520747 - setroubleshoot: SELinux is preventing rtkit-daemon (rtkit_daemon_t) "setsched" unconfined_execmem_t.
Summary: setroubleshoot: SELinux is preventing rtkit-daemon (rtkit_daemon_t) "set...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:103432dbf53...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-02 05:43 UTC by Brian Harrington
Modified: 2009-09-12 01:04 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-04 14:34:12 UTC


Attachments (Terms of Use)

Description Brian Harrington 2009-09-02 05:43:31 UTC
The following was filed automatically by setroubleshoot:

Summary:

SELinux is preventing rtkit-daemon (rtkit_daemon_t) "setsched"
unconfined_execmem_t.

Detailed Description:

SELinux denied access requested by rtkit-daemon. It is not expected that this
access is required by rtkit-daemon and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi) against this package.

Additional Information:

Source Context                system_u:system_r:rtkit_daemon_t:s0-s0:c0.c1023
Target Context                unconfined_u:unconfined_r:unconfined_execmem_t:s0-
                              s0:c0.c1023
Target Objects                None [ process ]
Source                        rtkit-daemon
Source Path                   /usr/libexec/rtkit-daemon
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           rtkit-0.4-1.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.26-8.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.31-0.125.4.2.rc5.git2.fc12.i686 #1 SMP Tue Aug
                              11 21:20:05 EDT 2009 i686 i686
Alert Count                   3
First Seen                    Thu 13 Aug 2009 04:29:38 PM EDT
Last Seen                     Wed 02 Sep 2009 01:41:06 AM EDT
Local ID                      a5702699-abb6-49f9-b95e-50e7e4e4b8fa
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1251870066.737:37): avc:  denied  { setsched } for  pid=1612 comm="rtkit-daemon" scontext=system_u:system_r:rtkit_daemon_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:unconfined_execmem_t:s0-s0:c0.c1023 tclass=process

node=(removed) type=SYSCALL msg=audit(1251870066.737:37): arch=40000003 syscall=156 success=yes exit=0 a0=98f a1=40000000 a2=bfbf9344 a3=bfbf9328 items=0 ppid=1 pid=1612 auid=4294967295 uid=492 gid=486 euid=492 suid=492 fsuid=492 egid=486 sgid=486 fsgid=486 tty=(none) ses=4294967295 comm="rtkit-daemon" exe="/usr/libexec/rtkit-daemon" subj=system_u:system_r:rtkit_daemon_t:s0-s0:c0.c1023 key=(null)


audit2allow suggests:

#============= rtkit_daemon_t ==============
allow rtkit_daemon_t unconfined_execmem_t:process setsched;

Comment 1 Daniel Walsh 2009-09-04 14:34:12 UTC
Fixed in selinux-policy-3.6.30-4.fc12.noarch


Note You need to log in before you can comment on or make changes to this bug.